<?php
if (function_exists('add_theme_support')) {
add_theme_support( 'post-thumbnails' );
}
if ( function_exists('register_sidebar') ) {
   register_sidebar(array(
      'name' => 'سايد بار',    // نامي سايدبار
      'id' => 'my-sidebar',         // آيدي سايدبار رو در اينجا تعيين کنيد
      'before_widget' => '<div class="inc">',   // کد قبل از هر منو
      'after_widget' => '</div>',                         // کد بعد از هر منو
      'before_title' => '<div class="title">', // قبل از عنوان منو
      'after_title' => '</div>',  // بعد از عنوان منو
   ));
}
function get_the_index_excerpt(){
$excerpt = get_the_content();
$excerpt = strip_shortcodes($excerpt);
$excerpt = strip_tags($excerpt);
$the_str = substr($excerpt, 0, 600);
return $the_str;
}
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
?>